
%define rel 1

Name:           prison
Version: 		5.44.0
Release:        %mkrel 1
Summary:        A Qt-based barcode abstraction library
Group:          Graphical desktop/KDE5 
License:        MIT
URL:            https://projects.kde.org/projects/kdesupport/prison
Source0:        http://download.kde.org/stable/frameworks/5.29/%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64dmtx-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: qrencode-devel
#------------------------------------

%description
Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

#--------------------------------------------------------------------

%define prison_major 5
%define libkf5prison %mklibname kf5%{name} %{prison_major}

%package -n %{libkf5prison}
Summary:        Prison library file
Group:          System/Libraries

%description -n %{libkf5prison}
Library file for %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libkf5prison}
%{_kf5_libdir}/libKF5Prison.so.%{prison_major}*
%{_kf5_libdir}/qt5/qml/org/kde/prison/libprisonquickplugin.so
%{_kf5_libdir}/qt5/qml/org/kde/prison/qmldir
/etc/xdg/prison.categories
#--------------------------------------------------------------------

%define libnamedev %mklibname kf5%{name} -d

%package -n %{libnamedev}
Summary:        Prison development files
Group:          Development/Libraries
Requires:       %{libkf5prison} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for applications that use %{name}.

Prison is a Qt-based barcode abstraction layer/library that provides
an uniform access to generation of barcodes with data.

%files -n %{libnamedev}
%doc LICENSE
%{_kf5_includedir}/prison/
%{_kf5_includedir}/prison_version.h
%{_kf5_libdir}/libKF5Prison.so
%{_kf5_libdir}/cmake/KF5Prison/
%{_kf5_mkspecsdir}/*.pri

#--------------------------------------------------------------------
%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build


%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.34.0-2pclos2017
- rebuilt

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Wed Dec 14 2016 bb <bb> 5.29.0-1pclos2017
- update

